"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const LootTable_1 = __importDefault(require("../../structures/LootTable"));
const SimpleOpenable_1 = __importDefault(require("../../structures/SimpleOpenable"));
//const rareLootTable = new LootTable()
//.add("Blighted manta ray", 25, 1)
//.add("Blighted karambwan", 25, 1)
//.add("Blighted manta ray", 25, 1)
//.add("Blighted ancient ice sack", 25, 1)
//.add("Blighted anglerfish", 15, 1)
//.add("Blighted super restore(4)", 3, 1)
//.add("Larran's key", 1, 1)
const MuddyChestTable = new LootTable_1.default()
    .every("Uncut ruby")
    .every("Mithril bar", 2)
    .every("Law rune", 5)
    .every("Death rune", 5)
    .every("Chaos rune", 15);
//Add when rates are known
//.oneIn(10, rareLootTable);
exports.default = new SimpleOpenable_1.default({
    id: 991,
    name: "Muddy chest",
    aliases: ["muddy chest", "muddy"],
    table: MuddyChestTable,
});
//# sourceMappingURL=MuddyChest.js.map